Skip to main content
GET
/
v1
/
future-stock
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "string",
      "deliveryWindowId": "string",
      "deliveryWindowCode": "string",
      "skuId": "string",
      "skuCode": "string",
      "totalAmount": 100,
      "availableAmount": 100,
      "reservedAmount": 0,
      "availableForSale": true,
      "availableStartDate": "2024-08-15T17:27:03.665Z",
      "availableEndDate": "2024-08-15T17:27:03.665Z",
      "updatedAt": "2024-08-15T17:27:03.665Z"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

x-api-key
string
header
required

unique identifier access key. each brand has it own unique key.

Query Parameters

limit
number

pagination: limit of entities returned by query

skuCode
string
skuId
string
deliveryWindowCode
string
deliveryWindowId
string
availableForSale
boolean
changeStartDate
string

change start date (format: YYYY-MM-DD or YYYY-MM-DD HH:mm:ss)

Example:

"2025-07-25 08:00:00"

changeEndDate
string

change end date (format: YYYY-MM-DD or YYYY-MM-DD HH:mm:ss)

Example:

"2025-07-26 20:15:00"

cursorId
string

cursor of the last loaded future stock

Response

future stock pagination

data
object[]
required
nextCursor
string | null

when the field is null, it means that pagination has ended